GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/producer.h File Reference

Go to the source code of this file.

## Functions
int | producer_is_gcc_ge_4 (const char *producer)
int | producer_is_gcc (const char *producer, int *major, int *minor)
bool | producer_is_icc (const char *producer, int *major, int *minor)

## Function Documentation

## ◆ producer_is_gcc()

int producer_is_gcc | ( | const char * | producer,
|  | int * | major,
|  | int * | minor
| ) |  |

Definition at line 43 of file producer.c.

References startswith().

Referenced by check_producer(), and producer_is_gcc_ge_4().

## ◆ producer_is_gcc_ge_4()

int producer_is_gcc_ge_4 | ( | const char * | producer | ) |

Definition at line 27 of file producer.c.

References INT_MAX, and producer_is_gcc().

Referenced by amd64_skip_xmm_prologue(), and process_full_comp_unit().

## ◆ producer_is_icc()

bool producer_is_icc | ( | const char * | producer,
|  | int * | major,
|  | int * | minor
| ) |  |

Definition at line 79 of file producer.c.

References _, skip_to_space(), startswith(), and warning().

Referenced by check_producer().